#!/bin/bash
USER=$(whoami)
CRON_DIR=/var/spool/cron/$USER
CRON_JOB="0 0 * * * /home/$USER/update_page.sh" # a simple cron job that runs everyday

# allow user to add cron commands
sudo echo $USER >> /etc/cron.allow
# setup a cron file for the user
sudo touch $CRON_DIR
sudo /usr/bin/crontab $CRON_DIR
# setup the cron job
sudo echo $CRON_JOB >> $CRON_DIR

echo "Checking cronjobs..."
sudo crontab -u $USER -l